#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 quic
version:              0.1.5
visibility:           public
id:                   quic-0.1.5-Fma0eqTCHdgEJGKXxXCZ6t
key:                  quic-0.1.5-Fma0eqTCHdgEJGKXxXCZ6t
license:              BSD-3-Clause
maintainer:           kazu@iij.ad.jp
author:               Kazu Yamamoto
synopsis:             QUIC
description:
    Library for QUIC: A UDP-Based Multiplexed and Secure Transport

category:             Web
abi:                  46b9e20540a9eb268c4f235f9f2a8d2e
exposed:              True
exposed-modules:
    Network.QUIC Network.QUIC.Client Network.QUIC.Internal
    Network.QUIC.Server

hidden-modules:
    Network.QUIC.Client.Reader Network.QUIC.Client.Run
    Network.QUIC.Closer Network.QUIC.Common Network.QUIC.Config
    Network.QUIC.Connection Network.QUIC.Connection.Crypto
    Network.QUIC.Connection.Migration Network.QUIC.Connection.Misc
    Network.QUIC.Connection.PacketNumber Network.QUIC.Connection.Queue
    Network.QUIC.Connection.Role Network.QUIC.Connection.State
    Network.QUIC.Connection.Stream Network.QUIC.Connection.StreamTable
    Network.QUIC.Connection.Timeout Network.QUIC.Connection.Types
    Network.QUIC.Connector Network.QUIC.Crypto
    Network.QUIC.Crypto.Fusion Network.QUIC.Crypto.Keys
    Network.QUIC.Crypto.Nite Network.QUIC.Crypto.Types
    Network.QUIC.Crypto.Utils Network.QUIC.Event Network.QUIC.Exception
    Network.QUIC.Handshake Network.QUIC.IO Network.QUIC.Imports
    Network.QUIC.Info Network.QUIC.Logger Network.QUIC.Packet
    Network.QUIC.Packet.Decode Network.QUIC.Packet.Decrypt
    Network.QUIC.Packet.Encode Network.QUIC.Packet.Frame
    Network.QUIC.Packet.Header Network.QUIC.Packet.Number
    Network.QUIC.Packet.Token Network.QUIC.Parameters
    Network.QUIC.QLogger Network.QUIC.Qlog Network.QUIC.Receiver
    Network.QUIC.Recovery Network.QUIC.Recovery.Constants
    Network.QUIC.Recovery.Detect Network.QUIC.Recovery.Interface
    Network.QUIC.Recovery.LossRecovery Network.QUIC.Recovery.Metrics
    Network.QUIC.Recovery.Misc Network.QUIC.Recovery.PeerPacketNumbers
    Network.QUIC.Recovery.Persistent Network.QUIC.Recovery.Release
    Network.QUIC.Recovery.Timer Network.QUIC.Recovery.Types
    Network.QUIC.Recovery.Utils Network.QUIC.Sender
    Network.QUIC.Server.Reader Network.QUIC.Server.Run
    Network.QUIC.Stream Network.QUIC.Stream.Frag
    Network.QUIC.Stream.Misc Network.QUIC.Stream.Queue
    Network.QUIC.Stream.Reass Network.QUIC.Stream.Skew
    Network.QUIC.Stream.Table Network.QUIC.Stream.Types
    Network.QUIC.TLS Network.QUIC.Types Network.QUIC.Types.Ack
    Network.QUIC.Types.CID Network.QUIC.Types.Constants
    Network.QUIC.Types.Error Network.QUIC.Types.Exception
    Network.QUIC.Types.Frame Network.QUIC.Types.Integer
    Network.QUIC.Types.Packet Network.QUIC.Types.Queue
    Network.QUIC.Types.Resumption Network.QUIC.Types.Time
    Network.QUIC.Utils Network.QUIC.Windows

import-dirs:          /usr/lib/ghc-9.0.2/site-local/quic-0.1.5
library-dirs:         /usr/lib/ghc-9.0.2/site-local/quic-0.1.5
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-quic
hs-libraries:         HSquic-0.1.5-Fma0eqTCHdgEJGKXxXCZ6t
depends:
    array-0.5.4.0 base-4.15.1.0
    base16-bytestring-1.0.2.0-GrHm0ubar5x47pQNfiHAa2
    bytestring-0.10.12.1 containers-0.6.4.1
    crypto-token-0.0.2-J2wFAb6Z8Tq3VT8DrXmYwF
    crypton-0.34-JCfq8j6XwuHJbikUoFDGam
    crypton-x509-1.7.6-DztfZQD8dOLBRvCJA6GyYF
    crypton-x509-system-1.6.7-7n6evl4TVs36RJrotrowhX
    data-default-class-0.1.2.0-IxhEAzgy8931aXcEiJcyZO
    fast-logger-3.1.2-16uqTbwNegIAXhGCLyHVao filepath-1.4.2.1
    iproute-1.7.12-2ZXh8Zq4TRI70c6lWZCEjx
    memory-0.18.0-KC0M2DcF55TEVHxP6av2cL
    network-3.1.4.0-FdTdnnvJv4pnhop8qDvVA
    network-byte-order-0.1.7-aizR4J4tPIDAy5AbcEEVa
    network-udp-0.0.0-IAacX5lLYAn9FCb3hzx6na
    psqueues-0.2.8.0-FTt87jlFhJLGg10zoSdyID
    random-1.2.1.1-CHgxDo7s3JxE3u6VanaU7G stm-2.5.0.0
    tls-1.8.0-JYI8k172HltL1X9hL9h4sp
    unix-time-0.4.11-6guOlbqP36zIPLxP9T7smS
    unliftio-0.2.25.0-4FL0Zl5Cc6Y4cVVDaEjpL7
    unliftio-core-0.2.1.0-AJ3ipHGgln87h2Y2hfrpJj

haddock-interfaces:   /usr/share/doc/haskell-quic/html/quic.haddock
haddock-html:         /usr/share/doc/haskell-quic/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

